Get the list of external identity sources enabled by the application
This document is automatically generated based on https://github.com/authing/authing-docs-factory based on the https://api-explorer.genauth.ai V3 API, and is consistent with the API parameters and return results. If the description of this document is incorrect, please refer to the V3 API.
Get the list of external identity sources enabled by the application. The front end can render the external identity source button based on this.
Method name
AuthenticationClient.getApplicationEnabledExtIdps
Request parameters
| Name | Type | Required | Default value | Description | Sample value |
|---|
Request response
Type: GetExtIdpsRespDto
| Name | Type | Description |
|---|---|---|
| statusCode | number | Business status code, which can be used to determine whether the operation is successful, 200 means success. |
| message | string | Description |
| apiCode | number | Segmented error code, which can be used to get the specific error type (successful request does not return). For a detailed list of error codes, see: API Code List |
| requestId | string | Request ID. Returned when the request fails. |
| data | array | External identity source list |
Sample result:
json
{
"statusCode": 200,
"message": "Operation successful",
"requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
"data": {
"identifier": "wechat"
}
}Data structure
ExtIdpInfoDto
| Name | Type | Is it required? | Description | Sample value |
|---|---|---|---|---|
| identifier | string | Yes | Identity source connection unique identifier | wechat |
| extIdpId | string | yes | Identity source ID | |
| type | string | yes | Identity source type | oidc |
| extIdpType | string | yes | Authentication type | social |
| bindUrl | string | yes | Authentication URL | |
| name | string | yes | Identity source display name | |
| name_en | string | no | Identity source display name (English) | |
| desc | string | no | Description | |
| desc_en | string | no | Description in English | |
| logo | string | no | Icon |